#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Decoding library for BMP and ICO file formats
Summary(pl.UTF-8):	Biblioteka dekodująca pliki w formatach BMP oraz ICO
Name:		libnsbmp
Version:	0.1.7
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	1f73274187cae1085152ef531d8c9b99
URL:		http://www.netsurf-browser.org/projects/libnsbmp/
BuildRequires:	netsurf-buildsystem >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnsbmp is a decoding library for BMP and ICO image file formats,
written in C. It was developed as part of the NetSurf project and is
available for use by other software under the MIT licence.

%description -l pl.UTF-8
Libnsbmp to napisana w C biblioteka dekodująca pliki obrazów w
formatach BMP oraz ICO. Powstała jako część projektu NetSurf i jest
dostępna do wykorzystania przez inne programy na licencji MIT.

%package devel
Summary:	libnsbmp library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnsbmp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the include files and other resources you can
use to incorporate libnsbmp into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libnsbmp w swoich
programach.

%package static
Summary:	libnsbmp static library
Summary(pl.UTF-8):	Statyczna biblioteka libnsbmp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libnsbmp library.

%description static -l pl.UTF-8
Statyczna biblioteka libnsbmp.

%prep
%setup -q

%build
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_libdir}/libnsbmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnsbmp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnsbmp.so
%{_includedir}/libnsbmp.h
%{_pkgconfigdir}/libnsbmp.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnsbmp.a
%endif
%changelog
* Fri Mar 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnsbmp.git;a=log;h=master

* Sat Jan 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0c3bad3
- updated to 0.1.7

* Sat May 30 2020 Witold Filipczyk <witekfl@poczta.onet.pl> eaac13e
- updated to 0.1.6

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 1dd1b66
- updated to 0.1.5

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f46e356
- updated to 0.1.4

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 01fa29d
- dropped outdated no-Werror patch

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 11d08c5
- updated to 0.1.3

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> b344e9d
- updated to 0.1.2

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> 7e4c6bd
- drop Werror (fails to build on current glibc)
- rel 2

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> f309cc8
- adjusted -devel description, package MIT COPYING file

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 3528be7
- pl
- use LIBDIR to get proper libs directory, also in .pc files

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> afa6713
- deleted lib.patch

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 84854ee
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c1c1c49
- up to 0.1.1

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 532a9ed
- pass our CC

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> b6d06be
- verbose files; ghost soname symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> b999dac
- fix install on lib64 systems

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 7fa034f
- do not clear CFLAGS, internal include paths are cleared then

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 2fc4718
- new

